#include <stdio.h>
#include <stdlib.h>

int main()
{
    int c1 , c2 , a1 , a2 ;
    scanf("%d%d" , c1 , c2);
    scanf("%d %d" , a1 , a2);
    if(a1 - b1 > 1){
        printf("nemoguce") ;
    }
    else
        printf("test") ;
}